Package org.eclipse.microprofile.metrics.tck.cdi

## Class TimerInjectionBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.cdi.TimerInjectionBeanTest

    public class TimerInjectionBeanTest
    extends Object

### Constructor Summary

Constructors
`TimerInjectionBeanTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `callTimedMethodOnce()`
`void` `timedMethodNotCalledYet()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimerInjectionBeanTest

    public TimerInjectionBeanTest()

### Method Detail

#### timedMethodNotCalledYet

    @InSequence(1)
    public void timedMethodNotCalledYet()

#### callTimedMethodOnce

    @InSequence(2)
    public void callTimedMethodOnce()
                             throws InterruptedException

Throws:
  `InterruptedException`